This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1473263 - Processing outputs of remote command on the smart-proxy is slow.
Processing outputs of remote command on the smart-proxy is slow.
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution (Show other bugs)
Unspecified
Unspecified Unspecified
medium Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Performance, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 06:47 EDT by aruzicka
Modified: 2017-08-02 01:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20362 None None None 2017-07-20 07:01 EDT

  None (edit)
Description aruzicka 2017-07-20 06:47:22 EDT
Description of problem:
When running jobs on large number of hosts, slow checking of outputs can have severe impact on execution time of the entire job.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run a job on 1k hosts outputting a single character each second for five minutes.
2. Run a job on 1k hosts outputting a single character into a temporary file each second for five minutes and reading it whole at the end.

Actual results:
The first job is by orders of magnitude slower than the second one.


Expected results:
The two jobs should take roughly the same amount of time to finish.


Additional info:
Job #1: 15:22:43 - 16:43:24 (almost hour and a half)
Job #2: 18:09:38 - 18:23:40 (roughly 15 minutes)
Comment 1 aruzicka 2017-07-20 07:01:31 EDT
Created redmine issue http://projects.theforeman.org/issues/20362 from this bug

Note You need to log in before you can comment on or make changes to this bug.